Skip to main content
v1

Open a desktop WebRTC signaling session.

GET /v1/desktop/stream/signaling: request parameters and responses.

GET /v1/desktop/stream/signaling

Upgrades the connection to a WebSocket used for WebRTC signaling between the browser client and the desktop streaming process. Also accepts mouse and keyboard input frames as a fallback transport.

Parameters

NameInRequiredTypeDescription
access_tokenqueryNostringBearer token alternative for WS auth

Parameter schemas

[
  {
    "name": "access_token",
    "in": "query",
    "description": "Bearer token alternative for WS auth",
    "required": false,
    "schema": {
      "type": "string",
      "nullable": true
    }
  }
]

Responses

101

WebSocket upgraded

409

Desktop runtime or streaming session is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop stream failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.